Name:		cantata
Version:	2.3.2
Release:	%mkrel 1
Summary:	Graphical client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/CDrummond/cantata/
Source0:	https://github.com/CDrummond/cantata/releases/download/v%{version}/cantata-%{version}.tar.xz
Patch0:		cantata-2.3.0-libsolid_static.patch
BuildRequires: cdparanoia
BuildRequires: cdda-devel
BuildRequires: ffmpeg-devel
BuildRequires: qtmultimedia5
BuildRequires: qttools5
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libqt5xml-devel

BuildRequires:  zlib1-devel
BuildRequires:  taglib-extras-devel
BuildRequires:  vlc-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  libspeex1-devel
BuildRequires:  libmusicbrainz5-devel
BuildRequires:  libmtp-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libcddb-devel
BuildRequires:  libtaglib-devel
BuildRequires:  libopenssl-devel

Requires:	mpd

%description
Cantata is a (yet another!) graphical client for the music player daemon (MPD).

Supporting features:
  * Multiple MPD collections.
  * Highly customisable layout.
  * Songs grouped by album in play queue.
  * Context view to show artist, album, and song information of current track.
  * Simple tag editor.
  * File organizer - use tags to organize files and folders.
  * Ability to calculate ReplyGain tags.
  * Dynamic playlists.
  * Online services; Jamendo, Magnatune, SoundCloud, and Podcasts.
  * Radio stream support - with the ability to search for streams via TuneIn,
    ShoutCast, or Dirble.
  * USB-Mass-Storage and MTP device support.
  * Audio CD ripping and playback.
  * Playback of non-MPD songs, via simple in-built HTTP server if connected
    to MPD via a standard socket, otherwise filepath is sent to MPD.
  * MPRISv2 DBUS interface.
  * Support for KDE global shortcuts (KDE builds), GNOME media keys, and
    standard media keys (via Qxt support).
  * Ubuntu/ambiance theme integration.
  * Basic support for touch-style interface (views are made 'flickable').
  * Scrobbling.
  * Ratings support.

Make sure after installing mpd that you start the service through the 
Uplos Control Center.

%files
%doc AUTHORS ChangeLog README TODO LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*.*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -i -e 's|LINUX_LIB_DIR lib|LINUX_LIB_DIR %{_lib}|g' CMakeLists.txt

%build
%cmake_qt5 \
	-DENABLE_REMOTE_DEVICES=ON
%make_build

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Fri Nov 09 2018 adrianomorselli <adrianomorselli> 2.3.2-1uplos2018
- update
